Bug 1656205 (CVE-2018-19587) - CVE-2018-19587 mongoose: SIGSEGV in mg_mqtt_add_session() in mongoose.c
Summary: CVE-2018-19587 mongoose: SIGSEGV in mg_mqtt_add_session() in mongoose.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-19587
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1656207 1656209
Blocks: 1656208
TreeView+ depends on / blocked
 
Reported: 2018-12-04 22:37 UTC by Laura Pardo
Modified: 2019-09-29 15:03 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-08 07:18:26 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-12-04 22:37:44 UTC
An issue was found in Cesanta Mongoose 6.13, a SIGSEGV exists in the mongoose.c mg_mqtt_add_session() function. 


References:
https://github.com/insi2304/mongoose-fuzz

Comment 1 Laura Pardo 2018-12-04 22:39:33 UTC
Created mongoose tracking bugs for this issue:

Affects: epel-6 [bug 1656207]
Affects: fedora-all [bug 1656209]

Comment 2 Jason Shepherd 2019-08-08 04:40:24 UTC
This vulnerability is out of security support scope for the following product:

 * Red Hat Mobile Application Platform

 Please refer to https://access.redhat.com/support/policy/updates/rhmap for more details

Comment 3 Product Security DevOps Team 2019-08-08 07:18:26 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-19587


Note You need to log in before you can comment on or make changes to this bug.